using Demo.Domain.Models;

namespace Demo.Data.Repository
{
    public interface IPresenceRepository
    {
        List<PresenceLocalEntity> GetAllPresences();
        bool DeletePresence();
        bool DeletePresenceByGroup(int groupID);
        bool DeletePresenceByUser(Guid userGuid);
        bool DeletePresenceByRange(DateOnly start, DateOnly end);
        void IsAttedance(int firstLesson, int lastLesson, DateOnly date, Guid UserGuid);
        List<PresenceLocalEntity> GeneratePresence(List<PresenceLocalEntity> presenceLocalEntities);
    }
}